cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Fagerstrom <dani...@nada.kth.se>
Subject Re: Trying to start Cocoon 2.2
Date Mon, 27 Nov 2006 21:41:08 GMT
Luca Morandini skrev:
> Patrick Refondini wrote:
>>
>> shouldn't it be :
>> -Dmaven.war.shieldingclassloader=false
> 
> Thanks for this bit of information, but Cocoon doesn't run yet.
> 
> I did:
> mvn -Dmaven.test.skip=true -Dmaven.war.shieldingclassloader=false clean 
> install
> cd core/cocoon-webapp
> mvn jetty:run-exploded -Dorg.apache.cocoon.mode=dev

I have had problems lately with that an avalon-framework-4.0.jar (from 
2002!) is included in target/cocoon-webapp/WEB-INF/lib. It shadows the 
Avalon framework 4.3 jars that Cocoon depends on and give a stack trace 
similar to yours. Remove the faulty jar and try to run Cocoon again.

No idea why the 4.0 is included, some transitive dependency must be 
faulty. It didn't happen some weeks ago.

Some other points: jetty:run-exploded seem to do some unnecessary extra 
work compared to jetty:run. Use the -e switch for jetty:run so that you 
get the whole stack trace. Otherwise it is very hard to see what is the 
problem.

/Daniel


Mime
View raw message